Package Details: rednotebook 2.6.1-1

Git Clone URL: https://aur.archlinux.org/rednotebook.git (read-only)
Package Base: rednotebook
Description: A simple desktop diary.
Upstream URL: http://rednotebook.sourceforge.net
Keywords: diary notes personal
Licenses: GPL2
Submitter: FadeMind
Maintainer: SanskritFritz
Last Packager: SanskritFritz
Votes: 33
Popularity: 0.592053
First Submitted: 2015-08-12 04:14
Last Updated: 2018-08-31 21:08

Latest Comments

1 2 Next › Last »

SanskritFritz commented on 2018-08-12 18:16

You're right, thanks.

cameel commented on 2018-08-11 14:06

Python has just been updated to 3.7 in the main repositories. Since this package installs its files in /usr/lib/python3.x/site-packages/ (where 3.x is the Python version installed when it's built), Rednotebook stops working for anyone who has not rebuilt the package after updating to Python 3.7.

Maybe it would be a good idea to bump pkgrel so that AUR helpers see it as a new release and suggest an update?

Otherwise you get an error when you run the program: a stack trace and a cryptic ModuleNotFoundError: No module named 'journal' error that says what happened (journal module is missing) but it may not be clear why (it's still installed but for a different version of the interpreter). Bumping pkgrel could save people some debugging.

SanskritFritz commented on 2018-01-15 09:52

Thanks tedbuckland.

tedbuckland commented on 2018-01-14 10:27

It seems that the dependency "python-gobject" is missing (here and in the rednotebook-git package). This should also fix the problem in the last comment.

NKataDelYoda commented on 2017-12-06 19:22

I received the following error on installation:

Traceback (most recent call last): File "/usr/bin/rednotebook", line 6, in <module> import journal ModuleNotFoundError: No module named 'journal'</module>

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/usr/bin/rednotebook", line 11, in <module> import rednotebook.journal File "/usr/lib/python3.6/site-packages/rednotebook/journal.py", line 43, in <module> gi.require_version("Gtk", "3.0") AttributeError: module 'gi' has no attribute 'require_version'</module></module>

I did a "pip install journal", and now the module is found, but now I get the error "AttributeError: module 'journal' has no attribute 'main'".

Is this an issue with the journal module, or perhaps the Python version installed on my system? I'm running a straight Arch installation.

SanskritFritz commented on 2017-10-13 08:01

You're right, thank you for the heads-up!

MaoCPU commented on 2017-10-12 22:00

rednotebook-2.3 seems to work with the PKGBUILD at https://gist.github.com/anonymous/e7de431b90a3c178d7bee68848ee146c

I replaced the dependency on python-webkit with webkit2gtk and added the optional dependency to PyEnchant (according to rednotebook dependency information).

haawda commented on 2017-05-20 07:14

Orphaning.

Munto commented on 2016-12-03 03:47

Ola !
I get this error when I try to launch the soft:
2016-12-03 04:39:05,347 ERROR pywebkitgtk not found. Please install it (python-webkit): No module named webkit

I think a dependency is missing.

Thanks for the package!

Anonymous comment on 2016-11-15 21:44

You are right.